<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateTicketsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tickets', function (Blueprint $table) {
            $table->increments('id');
            $table->date('date_bought');
            $table->integer('movie_id')->unsigned();
            $table->integer('seat_id')->unsigned();
            $table->integer('user_id')->unsigned();

        });

        Schema::table('tickets', function ($table){
            $table->foreign('movie_id')->references('id')->on('movies')->onDelete('cascade');
            $table->foreign('seat_id')->references('id')->on('seats')->onDelete('cascade');
            $table->foreign('user_id')->references('id')->on('users')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropForeign(['movie_id', 'seat_id', 'user_id']);
        Schema::dropIfExists('tickets');
    }
}
